Update employment type for a contract

Update the employment type (full-time or part-time) and FTE for a Global Payroll contract. Provide the contract ID and the change details, including the date the change takes effect. Token scopes: contracts:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequiredformat: "^(([a-z0-9]{6,})|([a-z0-9-_]{20,})|(-2[0-9]{2}))$"<=100 characters
The unique identifier of the GP contract.

Request

This endpoint expects an object.
dataobjectRequired

Employment-type change details, including the effective date.

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error